API v1API reference
List authorized workspaces
Return the personal and organization workspaces explicitly included in this key and still authorized for its owner.
GET
/v1/workspacesAuthorization
bearerKey AuthorizationBearer <token>
A scoped automation key authorized for the REST API.
In: header
Header Parameters
X-Ndnci-Workspace*string
Select a workspace explicitly included in this access grant.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces" \ -H "X-Ndnci-Workspace: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Authorization: Bearer <NDNCI_API_KEY>"{ "success": true, "code": "PUBLIC_WORKSPACES_LIST", "message": "Successful response", "data": { "items": [ { "id": "123e4567-e89b-42d3-a456-426614174001", "name": "Personal workspace", "organizationId": null, "role": "owner", "plan": "free" } ] }}Required scope: workspaces:read · Usage points: 2
Credits are charged separately for work that consumes paid services.